package com.ruoyi.sim.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 本项目自定义配置类。
 */
@Configuration
@ConfigurationProperties(prefix = "sim")
public class SimConfig {

    /**
     * 模拟器的 网关ip。
     */
    private String gatewayIp;

    /**
     * 模拟器的 网关port。
     */
    private int gatewayPort;

    /**
     * 模拟器通信的 超时时间 ms。
     */
    private long gatewayTimeout;

    /**
     *
     */
    private int gatewayReachableTimeout;

    /**
     * 自主练习时长 minute。
     */
    private int selfExamDuration;


    public String getGatewayIp() {
        return gatewayIp;
    }

    public void setGatewayIp(String gatewayIp) {
        this.gatewayIp = gatewayIp;
    }

    public int getGatewayPort() {
        return gatewayPort;
    }

    public void setGatewayPort(int gatewayPort) {
        this.gatewayPort = gatewayPort;
    }

    public long getGatewayTimeout() {
        return gatewayTimeout;
    }

    public void setGatewayTimeout(long gatewayTimeout) {
        this.gatewayTimeout = gatewayTimeout;
    }

    public int getGatewayReachableTimeout() {
        return gatewayReachableTimeout;
    }

    public void setGatewayReachableTimeout(int gatewayReachableTimeout) {
        this.gatewayReachableTimeout = gatewayReachableTimeout;
    }

    public int getSelfExamDuration() {
        return selfExamDuration;
    }

    public void setSelfExamDuration(int selfExamDuration) {
        this.selfExamDuration = selfExamDuration;
    }
}
